shishi_kdcreq_options_add(3)

NAME
shishi_kdcreq_options_add - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_options_add(Shishi * handle, Shishi_asn1 kdcreq, uint32_t option);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ variable to set etype field in.

uint32_t option
    integer with options to add in KDC-REQ.

DESCRIPTION
Add KDC-Option to KDC-REQ. This preserves all existing options.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.